include:
  - project: 'romanlabs/ci-templates/package-publish'
    file: '.poetry.yml'
    ref: 'main'

variables:
  PACKAGE_NAME: rlabs-mini-box
  MODULE_NAME: rlabs_mini_box

fetch_vault_secrets:
  extends: .fetch_vault_secrets
  script: |
    echo "RLABS_MINI_BOX_DEVELOPER_API=$(vlt run -- env | grep -w 'RLABS_MINI_BOX_DEVELOPER_API' | cut -d '=' -f 2)" >> .env

version_and_changelog:
  extends: .version_and_changelog
  before_script: |
    source $CI_PROJECT_DIR/.env
    export TOKEN=$RLABS_MINI_BOX_DEVELOPER_API

commit_and_tag:
  extends: .commit_and_tag
  before_script: |
    source $CI_PROJECT_DIR/.env
    export TOKEN=$RLABS_MINI_BOX_DEVELOPER_API

create_gitlab_release:
  extends: .create_gitlab_release
  before_script: |
    source $CI_PROJECT_DIR/.env
    export TOKEN=$RLABS_MINI_BOX_DEVELOPER_API
